#!/bin/sh
export PATH='/usr/obj/ports/hs-cmdargs-0.10.12/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: cmdargs
version: 0.10.12
id: cmdargs-0.10.12-0053afbdcbb814ba8c82d852c0f1ff81

license: BSD3
copyright: Neil Mitchell 2009-2014
maintainer: Neil Mitchell <ndmitchell@gmail.com>
stability:
homepage: http://community.haskell.org/~ndm/cmdargs/
package-url:
synopsis: Command line argument processing
description: This library provides an easy way to define command line parsers. Most users
             will want to use the "System.Console.CmdArgs.Implicit" module, whose
             documentation contains an example.
             .
             * "System.Console.CmdArgs.Explicit" provides a way to write command line
             parsers for both single mode programs (most programs) and multiple
             mode programs (e.g. darcs or cabal). Parsers are defined by constructing
             a data structure.
             .
             * "System.Console.CmdArgs.Implicit" provides a way to concisely define
             command line parsers, up to three times shorter than getopt. These parsers
             are translated into the Explicit data type.
             .
             * "System.Console.CmdArgs.GetOpt" provides a wrapper allowing compatiblity
             with existing getopt parsers, mapping to the Explicit data type.
             .
             For a general reference on what command line flags are commonly used,
             see <http://www.faqs.org/docs/artu/ch10s05.html>.
category: Console
author: Neil Mitchell <ndmitchell@gmail.com>
pkgpath: devel/hs-cmdargs
exposed: True
exposed-modules: System.Console.CmdArgs
                 System.Console.CmdArgs.Annotate System.Console.CmdArgs.Default
                 System.Console.CmdArgs.Explicit System.Console.CmdArgs.GetOpt
                 System.Console.CmdArgs.Implicit System.Console.CmdArgs.Text
                 System.Console.CmdArgs.Helper System.Console.CmdArgs.Verbosity
                 System.Console.CmdArgs.Quote
hidden-modules: Data.Generics.Any Data.Generics.Any.Prelude
                System.Console.CmdArgs.Explicit.Complete
                System.Console.CmdArgs.Explicit.ExpandArgsAt
                System.Console.CmdArgs.Explicit.Help
                System.Console.CmdArgs.Explicit.Process
                System.Console.CmdArgs.Explicit.SplitJoin
                System.Console.CmdArgs.Explicit.Type
                System.Console.CmdArgs.Implicit.Ann
                System.Console.CmdArgs.Implicit.Global
                System.Console.CmdArgs.Implicit.Local
                System.Console.CmdArgs.Implicit.Reader
                System.Console.CmdArgs.Implicit.Reform
                System.Console.CmdArgs.Implicit.Type
                System.Console.CmdArgs.Implicit.UI
trusted: False
import-dirs: /usr/local/lib/ghc/cmdargs-0.10.12
library-dirs: /usr/local/lib/ghc/cmdargs-0.10.12
hs-libraries: HScmdargs-0.10.12
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.7.0.2-b11c3b9ddc2bebe1a3d85499c9ea3f18
         filepath-1.3.0.2-ad57a270fe2da52658ba86edd4ef358d
         process-1.2.0.0-c468e34a7f8ea48863d1000529fa0cbf
         template-haskell-2.9.0.0-deadd77c7b66e107d20e9ed3958f5ce6
         transformers-0.3.0.0-164cdf31d42d2d5e3c85dc713dbb8551
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-cmdargs-0.10.12/html/cmdargs.haddock
haddock-html: /usr/local/share/doc/hs-cmdargs-0.10.12/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
